com.oracle.email.console

## Class DisplayItem

- java.lang.Object
- - com.oracle.email.console.DisplayItem

-     public class DisplayItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayItem()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `displayMessages(java.lang.String folderName, java.util.List<MessageTO> messageList)`
    `static void` | `forwardEmail(java.lang.String messageId, java.lang.String from)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `replyAllEmail(java.lang.String messageId, java.lang.String from)`
    `static void` | `replyEmail(java.lang.String messageId, java.lang.String from)`
    `static void` | `showAccounts()`
    `static void` | `showEmail(java.lang.String messageId)`
    `static void` | `showEmails(java.lang.String userId)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayItem

          public DisplayItem()

  - ### Method Detail

    - #### displayMessages

          public static void displayMessages(java.lang.String folderName,
                                             java.util.List<MessageTO> messageList)

    - #### showAccounts

          public static void showAccounts()

    - #### showEmails

          public static void showEmails(java.lang.String userId)

    - #### showEmail

          public static void showEmail(java.lang.String messageId)

    - #### replyEmail

          public static void replyEmail(java.lang.String messageId,
                                        java.lang.String from)
                                 throws java.io.IOException,
                                        DAOException

      Throws:
        `java.io.IOException`
        `DAOException`

    - #### replyAllEmail

          public static void replyAllEmail(java.lang.String messageId,
                                           java.lang.String from)
                                    throws java.io.IOException,
                                           DAOException

      Throws:
        `java.io.IOException`
        `DAOException`

    - #### forwardEmail

          public static void forwardEmail(java.lang.String messageId,
                                          java.lang.String from)
                                   throws java.io.IOException,
                                          DAOException

      Throws:
        `java.io.IOException`
        `DAOException`

    - #### main

          public static void main(java.lang.String[] args)